Please Support Linode for Server Provisioning
Description

Hi, my understanding is that Foreman uses fog.io for server provisioning. I know fog.io supports linode servers, so I'd like to request

support for Linode propagate up to Foreman. I realize this is an "I have an itch, please scratch it" type request, but I figured it

wouldn't hurt to file a request to see if anyone else finds it useful.

Related issues:

Has duplicate Foreman - Feature #8466: Add support for LinNode in Compute Res... Duplicate 11/20/2014

History

#1 - 08/20/2013 03:36 PM - Joshua Chaitin-Pollak

I should add, any tips on how a newbie could look into adding this myself would be appreciated too.

#2 - 11/21/2014 05:20 AM - Suyash Jain

Joshua Chaitin-Pollak wrote:

I should add, any tips on how a newbie could look into adding this myself would be appreciated too.

 Hi ,

Any update on linode support. i need it badly.

Thanks

#3 - 11/21/2014 05:27 AM - Dominic Cleal

- Has duplicate Feature #8466: Add support for LinNode in Compute Resources added

#4 - 11/21/2014 05:28 AM - Dominic Cleal

- Category set to Compute resources

#5 - 11/21/2014 05:28 AM - Dominic Cleal

Joshua Chaitin-Pollak wrote:

I should add, any tips on how a newbie could look into adding this myself would be appreciated too.

 Our compute resources are meant to be pluggable nowadays, so I'd suggest looking at some of the other CR plugins, e.g. 

https://github.com/theforeman/foreman-xen or https://github.com/theforeman/foreman-one

#6 - 11/21/2014 11:55 AM - Tommy McNeely

Sorry, I swear I searched and linnode didn't come up at all...

https://gist.github.com/nesquena/1321948

I am not sure if that is just a sample/example or if they have working code? :)
~tommy
